using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            for (int i = 0; i < t; i++)
            {
                Console.ReadLine();
            }
            Console.WriteLine(1);
            Console.WriteLine(10);
            Console.WriteLine(10);
        }
    }
}